Name:           carbonate
Version:        1.1.5
Release:        1%{?dist}
Summary:        Utilities for managing graphite clusters
License:        MIT
URL:            https://github.com/graphite-project/carbonate
Source0:        https://github.com/graphite-project/carbonate/archive/%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-carbon
BuildRequires:  python-mock
BuildRequires:  python-nose
BuildRequires:  python-setuptools
Requires:       python-carbon
Requires:       python-setuptools


%description
Graphite clusters are pretty cool. Here are some primitive tools to help you 
manage your graphite clusters.
All of the tools support two common arguments; the path to a config file, and 
the name of the cluster. Using these tools alongside a config file that 
describes your graphite clusters you can build up scripts to manage your 
metrics. Some of the tools could easily be replaced with one-liners in shell, 
but exist here for convenience and readability. The goal is to provide fast, 
predictable utilities that can easily be composed into more advanced tooling.


%prep
%setup -qn %{name}-%{version}
rm -rf *.egg-info
# remove shebang, file should not be called from commandline
# https://github.com/jssjr/carbonate/pull/55
sed -i '/#!\/usr\/bin\/env python/d' carbonate/aggregation.py


%build
%{__python2} setup.py build


%install
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}
# install the example config
mkdir -p %{buildroot}%{_sysconfdir}
cp -p conf/carbonate.conf %{buildroot}%{_sysconfdir}
# whisper-fill is provided by python-whisper
rm %{buildroot}/%{_bindir}/whisper-fill


%check
%{_bindir}/nosetests -v


%files
%{!?_licensedir:%global license %%doc}
%license LICENSE
%doc CHANGELOG.md CONTRIBUTING.md README.md
%config(noreplace) %{_sysconfdir}/carbonate.conf
%{python2_sitelib}/%{name}
%{python2_sitelib}/%{name}-%{version}-py2.?.egg-info
%{_bindir}/carbon-hosts
%{_bindir}/carbon-list
%{_bindir}/carbon-lookup
%{_bindir}/carbon-path
%{_bindir}/carbon-sieve
%{_bindir}/carbon-sync
%{_bindir}/carbon-stale
%{_bindir}/whisper-aggregate


%changelog
