%global module_name notifications
%global basedir %{_datadir}/icingaweb2/modules/notifications
%global docdir %{_datadir}/doc/icinganotifications

Name:           icinga-notifications-web
Version:        0.0.1
Release:        1%{?dist}
Summary:        Icinga Notifications Web — Manage incidents and who gets notified about them how and when
Group:          Applications/System
License:        GPLv2+
URL:            https://icinga.com
#Source0:        https://github.com/Icinga/icinga-notifications-web/archive/v%{version}.tar.gz
BuildArch:      noarch
Requires:       icingaweb2 >= 2.9
Requires:       icinga-notifications
Requires:       icinga-php-library
Requires:       icinga-php-thirdparty


%description
Icinga DB Web offers a modern and streamlined design to provide a clear
and concise overview of your monitoring environment.


%prep
%setup -q -T -c %{name}-%{version}
git clone https://github.com/Icinga/icinga-notifications-web .



%install
mkdir -vp %{buildroot}%{basedir}
mkdir -vp %{buildroot}%{docdir}
cp -vr application %{buildroot}%{basedir}
cp -vr library %{buildroot}%{basedir}
cp -vr public %{buildroot}%{basedir}
cp -vr configuration.php %{buildroot}%{basedir}
cp -vr module.info %{buildroot}%{basedir}


%clean
rm -rf %{buildroot}


%preun
set -e
# Only for removal
if [ $1 == 0 ]; then
    echo "Disabling icingaweb2 module '%{module_name}'"
    rm -f /etc/icingaweb2/enabledModules/%{module_name}
fi
exit 0


%files
%doc README.md
%license LICENSE
%defattr(-,root,root)
%{basedir}
%{docdir}


%changelog
