%global module_name icingadb
%global basedir %{_datadir}/icingaweb2/modules/icingadb
%global docdir %{_datadir}/doc/icingadb-web

Name:           icingadb-web
Version:        1.0.2
Release:        1%{?dist}
Summary:        Icinga DB Web for Icinga Web 2
Group:          Applications/System
License:        GPLv2+
URL:            https://icinga.com
Source0:        https://github.com/Icinga/icingadb-web/archive/v%{version}.tar.gz
BuildArch:      noarch
Requires:       icingaweb2 >= 2.9
Requires:       icinga-php-library
Requires:       icinga-php-thirdparty


%description
Icinga DB Web offers a modern and streamlined design to provide a clear
and concise overview of your monitoring environment.


%prep
%setup -q


%install
mkdir -vp %{buildroot}%{basedir}
mkdir -vp %{buildroot}%{docdir}
cp -vr application %{buildroot}%{basedir}
cp -vr library %{buildroot}%{basedir}
cp -vr public %{buildroot}%{basedir}
cp -vr configuration.php %{buildroot}%{basedir}
cp -vr module.info %{buildroot}%{basedir}
cp -vr run.php %{buildroot}%{basedir}
cp -vr doc %{buildroot}%{docdir}


%clean
rm -rf %{buildroot}


%preun
set -e
# Only for removal
if [ $1 == 0 ]; then
    echo "Disabling icingaweb2 module '%{module_name}'"
    rm -f /etc/icingaweb2/enabledModules/%{module_name}
fi
exit 0


%files
%doc README.md
%license LICENSE
%defattr(-,root,root)
%{basedir}
%{docdir}


%changelog
