%global module_name businessprocess
%global icingaweb_min_version 2.6.0
%global basedir %{_datadir}/icingaweb2/modules/%{module_name}

Name:           icingaweb2-module-%{module_name}
Version:        2.4.0
Release:        1%{?dist}
Summary:        Business Processes - Icinga Web 2 module
Group:          Applications/System
License:        GPLv2+
URL:            https://icinga.com
Source0:        https://github.com/Icinga/icingaweb2-module-%{module_name}/archive/v%{version}.tar.gz
BuildArch:      noarch
Requires:       icingaweb2 >= %{icingaweb_min_version}
Requires:       php-Icinga >= %{icingaweb_min_version}
Requires:       icingaweb2-module-ipl >= 0.2


%description
Create a combined view of your existing data and build your very own top level
view. In the end, what matters is the availability of your whole application
or service. The Business Process Module makes it possible to set single hosts
and services into context, by combining the states with logical functions.


%prep
%setup -q


%build


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{basedir}
cp -r * %{buildroot}%{basedir}


%clean
rm -rf %{buildroot}


%preun
set -e
if [ $1 == 0 ]; then
	echo "Disabling icingaweb2 module '%{module_name}'"
	rm -f /etc/icingaweb2/enabledModules/%{module_name}
fi
exit 0


%files
%doc README.md LICENSE
%defattr(-,root,root)
%{basedir}


%changelog
